> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.navipartner.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.navipartner.com/_mcp/server.

# Print Price Labels

POST https://api.npretail.app/{tenant}/{environment}/{company}/retailprint/pricelabel
Content-Type: application/json

Generate print jobs for price labels in batch. Items can be identified by EAN/barcode or Item No. with optional Variant Code.

Returns base64-encoded print job data. When using PrintTemplate layout type, also returns printer metadata (printerType and device).

Reference: https://docs.navipartner.com/apis/api-reference/retail-print/service-retail-print/print-price-label

## Authentication

- `x-np-api-key` header (required) — API Key authentication via header

## Request

### Path parameters

- `tenant` (string, required) — Your Entra Tenant ID. [More details.](/paths#1-tenant)
- `environment` (string, required) — Your Business Central Environment. [More details.](/paths#2-environment)
- `company` (string, required) — Your Business Central Company. [More details.](/paths#3-company)

### Body (application/json)

This endpoint expects a PrintPriceLabelRequest.

- `layoutType` (enum, required) — The type of layout to use (Codeunit or PrintTemplate)
  - Allowed values: `Codeunit`, `PrintTemplate`
- `layout` (string, required) — The code/ID of the layout to use for printing
- `items` (list of PrintItem, required) — List of items to print with their identification and quantities. Each item can be identified by: - EAN/barcode - automatically looks up the item - Item No. + optional Variant Code - directly specifies the item

## Response

### 200

- `type` (string, required) — The type of the print job (always "raw")
- `printJob` (string, required) — Base64-encoded print job data
- `printerType` (string, optional) — The printer type (Matrix or Line). Only included when layoutType is PrintTemplate.
- `device` (string, optional) — The printer device enum value (e.g., Zebra, Epson). Only included when layoutType is PrintTemplate.

## Errors

### 400 Bad Request

## Types

### PrintItem

An item to be printed with its quantity. Items can be identified using either: - EAN/barcode (automatically resolves to Item No. and Variant Code) - Item No. and optional Variant Code (for direct identification) Note: You must provide either 'ean' OR 'itemNo', but not both.

- `qty` (integer, required) — The quantity of labels to print for this item. Must be greater than 0.
- `ean` (string, optional) — The EAN/barcode of the item to print. Cannot be used together with itemNo.
- `itemNo` (string, optional) — The item number. Cannot be used together with ean. When using this method, variantCode is optional.
- `variantCode` (string, optional) — The variant code for the item. Only used when itemNo is provided. Can be omitted if the item has no variant.

## Examples

**Request**

```json
{
  "layoutType": "PrintTemplate",
  "layout": "TEMPLATE01",
  "items": [
    {
      "qty": 10,
      "ean": "4006381333931"
    },
    {
      "qty": 5,
      "itemNo": "1896-S",
      "variantCode": "BLUE"
    },
    {
      "qty": 20,
      "itemNo": "1900-S"
    }
  ]
}
```

**Response**

```json
{
  "type": "raw",
  "printJob": "XlhBXkNJMjdeTEg1LDBeUFc0NDgKXkZPMTAsMzBeQVNOXkZEVEVTVF5GUwpeRk8xMCw3NV5BU05eRkRQcmlzXkZTCl5GTzIzMCw3NV5BVE5eRkRLci4gMTAuMDBeRlMKXkZPMTAsMjAwXkFQTl5GRFN0eWxlOiAxMDAxXkZTCl5GTzEwLDIyNV5CWTIsMy4wLDUwXkJDTiw1MCxZLE4sTixBXkZEMjgwMDAwMDAwMDAzNV5GUwpeRk8zMDAsMjc1XkFQTl5GRCBeRlMKXlha",
  "printerType": "Matrix",
  "device": "Zebra"
}
```

**SDK Code**

```python
import requests

url = "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./retailprint/pricelabel"

payload = {
    "layoutType": "PrintTemplate",
    "layout": "TEMPLATE01",
    "items": [
        {
            "qty": 10,
            "ean": "4006381333931"
        },
        {
            "qty": 5,
            "itemNo": "1896-S",
            "variantCode": "BLUE"
        },
        {
            "qty": 20,
            "itemNo": "1900-S"
        }
    ]
}
headers = {
    "x-np-api-key": "<NaviPartner API Key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./retailprint/pricelabel';
const options = {
  method: 'POST',
  headers: {'x-np-api-key': '<NaviPartner API Key>', 'Content-Type': 'application/json'},
  body: '{"layoutType":"PrintTemplate","layout":"TEMPLATE01","items":[{"qty":10,"ean":"4006381333931"},{"qty":5,"itemNo":"1896-S","variantCode":"BLUE"},{"qty":20,"itemNo":"1900-S"}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./retailprint/pricelabel"

	payload := strings.NewReader("{\n  \"layoutType\": \"PrintTemplate\",\n  \"layout\": \"TEMPLATE01\",\n  \"items\": [\n    {\n      \"qty\": 10,\n      \"ean\": \"4006381333931\"\n    },\n    {\n      \"qty\": 5,\n      \"itemNo\": \"1896-S\",\n      \"variantCode\": \"BLUE\"\n    },\n    {\n      \"qty\": 20,\n      \"itemNo\": \"1900-S\"\n    }\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-np-api-key", "<NaviPartner API Key>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./retailprint/pricelabel")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-np-api-key"] = '<NaviPartner API Key>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"layoutType\": \"PrintTemplate\",\n  \"layout\": \"TEMPLATE01\",\n  \"items\": [\n    {\n      \"qty\": 10,\n      \"ean\": \"4006381333931\"\n    },\n    {\n      \"qty\": 5,\n      \"itemNo\": \"1896-S\",\n      \"variantCode\": \"BLUE\"\n    },\n    {\n      \"qty\": 20,\n      \"itemNo\": \"1900-S\"\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./retailprint/pricelabel")
  .header("x-np-api-key", "<NaviPartner API Key>")
  .header("Content-Type", "application/json")
  .body("{\n  \"layoutType\": \"PrintTemplate\",\n  \"layout\": \"TEMPLATE01\",\n  \"items\": [\n    {\n      \"qty\": 10,\n      \"ean\": \"4006381333931\"\n    },\n    {\n      \"qty\": 5,\n      \"itemNo\": \"1896-S\",\n      \"variantCode\": \"BLUE\"\n    },\n    {\n      \"qty\": 20,\n      \"itemNo\": \"1900-S\"\n    }\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./retailprint/pricelabel', [
  'body' => '{
  "layoutType": "PrintTemplate",
  "layout": "TEMPLATE01",
  "items": [
    {
      "qty": 10,
      "ean": "4006381333931"
    },
    {
      "qty": 5,
      "itemNo": "1896-S",
      "variantCode": "BLUE"
    },
    {
      "qty": 20,
      "itemNo": "1900-S"
    }
  ]
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-np-api-key' => '<NaviPartner API Key>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./retailprint/pricelabel");
var request = new RestRequest(Method.POST);
request.AddHeader("x-np-api-key", "<NaviPartner API Key>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"layoutType\": \"PrintTemplate\",\n  \"layout\": \"TEMPLATE01\",\n  \"items\": [\n    {\n      \"qty\": 10,\n      \"ean\": \"4006381333931\"\n    },\n    {\n      \"qty\": 5,\n      \"itemNo\": \"1896-S\",\n      \"variantCode\": \"BLUE\"\n    },\n    {\n      \"qty\": 20,\n      \"itemNo\": \"1900-S\"\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "x-np-api-key": "<NaviPartner API Key>",
  "Content-Type": "application/json"
]
let parameters = [
  "layoutType": "PrintTemplate",
  "layout": "TEMPLATE01",
  "items": [
    [
      "qty": 10,
      "ean": "4006381333931"
    ],
    [
      "qty": 5,
      "itemNo": "1896-S",
      "variantCode": "BLUE"
    ],
    [
      "qty": 20,
      "itemNo": "1900-S"
    ]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./retailprint/pricelabel")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```